Loading...
Searching...
No Matches
Error/Return codes

## Macros

#define | LR_CHECKSUM_ERROR lr_checksum_error_quark()
#define | LR_DOWNLOADER_ERROR lr_downloader_error_quark()
#define | LR_FASTESTMIRROR_ERROR lr_fastestmirror_error_quark()
#define | LR_GPG_ERROR lr_gpg_error_quark()
#define | LR_HANDLE_ERROR lr_handle_error_quark()
#define | LR_METALINK_ERROR lr_metalink_error_quark()
#define | LR_MIRRORLIST_ERROR lr_mirrorlist_error_quark()
#define | LR_PACKAGE_DOWNLOADER_ERROR lr_package_downloader_error_quark()
#define | LR_REPOCONF_ERROR lr_repoconf_error_quark()
#define | LR_REPOMD_ERROR lr_repomd_error_quark()
#define | LR_REPOUTIL_YUM_ERROR lr_repoutil_yum_error_quark()
#define | LR_RESULT_ERROR lr_result_error_quark()
#define | LR_XML_PARSER_ERROR lr_xml_parser_error_quark()
#define | LR_YUM_ERROR lr_yum_error_quark()

## Enumerations

enum

LrRc {
LRE_OK , LRE_BADFUNCARG , LRE_BADOPTARG , LRE_UNKNOWNOPT ,
LRE_CURLSETOPT , LRE_ALREADYUSEDRESULT , LRE_INCOMPLETERESULT , LRE_CURLDUP ,
LRE_CURL , LRE_CURLM , LRE_BADSTATUS , LRE_TEMPORARYERR ,
LRE_NOTLOCAL , LRE_CANNOTCREATEDIR , LRE_IO , LRE_MLBAD ,
LRE_MLXML , LRE_BADCHECKSUM , LRE_REPOMDXML , LRE_NOURL ,
LRE_CANNOTCREATETMP , LRE_UNKNOWNCHECKSUM , LRE_BADURL , LRE_GPGNOTSUPPORTED ,
LRE_GPGERROR , LRE_BADGPG , LRE_INCOMPLETEREPO , LRE_INTERRUPTED ,
LRE_SIGACTION , LRE_ALREADYDOWNLOADED , LRE_UNFINISHED , LRE_SELECT ,
LRE_OPENSSL , LRE_MEMORY , LRE_XMLPARSER , LRE_CBINTERRUPTED ,
LRE_REPOMD , LRE_VALUE , LRE_NOTSET , LRE_FILE ,
LRE_KEYFILE , LRE_ZCK , LRE_UNKNOWNERROR
}

## Functions

const char * | lr_strerror (int rc)
GQuark | lr_checksum_error_quark (void)
GQuark | lr_downloader_error_quark (void)
GQuark | lr_fastestmirror_error_quark (void)
GQuark | lr_gpg_error_quark (void)
GQuark | lr_handle_error_quark (void)
GQuark | lr_metalink_error_quark (void)
GQuark | lr_mirrorlist_error_quark (void)
GQuark | lr_package_downloader_error_quark (void)
GQuark | lr_repoconf_error_quark (void)
GQuark | lr_repomd_error_quark (void)
GQuark | lr_repoutil_yum_error_quark (void)
GQuark | lr_result_error_quark (void)
GQuark | lr_xml_parser_error_quark (void)
GQuark | lr_yum_error_quark (void)

## Detailed Description

## Macro Definition Documentation

## LR_CHECKSUM_ERROR

#define LR_CHECKSUM_ERROR lr_checksum_error_quark()

Error domains for GError

Definition at line 139 of file rcodes.h.

## LR_DOWNLOADER_ERROR

#define LR_DOWNLOADER_ERROR lr_downloader_error_quark()

Definition at line 140 of file rcodes.h.

## LR_FASTESTMIRROR_ERROR

#define LR_FASTESTMIRROR_ERROR lr_fastestmirror_error_quark()

Definition at line 141 of file rcodes.h.

## LR_GPG_ERROR

#define LR_GPG_ERROR lr_gpg_error_quark()

Definition at line 142 of file rcodes.h.

## LR_HANDLE_ERROR

#define LR_HANDLE_ERROR lr_handle_error_quark()

Definition at line 143 of file rcodes.h.

## LR_METALINK_ERROR

#define LR_METALINK_ERROR lr_metalink_error_quark()

Definition at line 144 of file rcodes.h.

## LR_MIRRORLIST_ERROR

#define LR_MIRRORLIST_ERROR lr_mirrorlist_error_quark()

Definition at line 145 of file rcodes.h.

## LR_PACKAGE_DOWNLOADER_ERROR

#define LR_PACKAGE_DOWNLOADER_ERROR lr_package_downloader_error_quark()

Definition at line 146 of file rcodes.h.

## LR_REPOCONF_ERROR

#define LR_REPOCONF_ERROR lr_repoconf_error_quark()

Definition at line 147 of file rcodes.h.

## LR_REPOMD_ERROR

#define LR_REPOMD_ERROR lr_repomd_error_quark()

Definition at line 148 of file rcodes.h.

## LR_REPOUTIL_YUM_ERROR

#define LR_REPOUTIL_YUM_ERROR lr_repoutil_yum_error_quark()

Definition at line 149 of file rcodes.h.

## LR_RESULT_ERROR

#define LR_RESULT_ERROR lr_result_error_quark()

Definition at line 150 of file rcodes.h.

## LR_XML_PARSER_ERROR

#define LR_XML_PARSER_ERROR lr_xml_parser_error_quark()

Definition at line 151 of file rcodes.h.

## LR_YUM_ERROR

#define LR_YUM_ERROR lr_yum_error_quark()

Definition at line 152 of file rcodes.h.

## Enumeration Type Documentation

## LrRc

enum LrRc

Librepo return/error codes

Enumerator
LRE_OK | (0) everything is ok
LRE_BADFUNCARG | (1) bad function argument
LRE_BADOPTARG | (2) bad argument of the option
LRE_UNKNOWNOPT | (3) library doesn't know the option
LRE_CURLSETOPT | (4) cURL doesn't know the option. Too old curl version?
LRE_ALREADYUSEDRESULT | (5) LrResult object is not clean
LRE_INCOMPLETERESULT | (6) LrResult doesn't contain all what is needed
LRE_CURLDUP | (7) cannot duplicate curl handle
LRE_CURL | (8) cURL error
LRE_CURLM | (9) cULR multi handle error
LRE_BADSTATUS | (10) HTTP or FTP returned status code which do not represent success (file doesn't exists, etc.)
LRE_TEMPORARYERR | (11) some error that should be temporary and next try could work (HTTP status codes 500, 502-504, operation timeout, ...)
LRE_NOTLOCAL | (12) URL is not a local address
LRE_CANNOTCREATEDIR | (13) cannot create a directory in output dir (already exists?)
LRE_IO | (14) input output error
LRE_MLBAD | (15) bad mirrorlist/metalink file (metalink doesn't contain needed file, mirrorlist doesn't contain urls, ..)
LRE_MLXML | (16) metalink XML parse error
LRE_BADCHECKSUM | (17) bad checksum
LRE_REPOMDXML | (18) repomd XML parse error
LRE_NOURL | (19) usable URL not found
LRE_CANNOTCREATETMP | (20) cannot create tmp directory
LRE_UNKNOWNCHECKSUM | (21) unknown type of checksum is needed for verification
LRE_BADURL | (22) bad URL specified
LRE_GPGNOTSUPPORTED | (23) OpenPGP protocol is not supported
LRE_GPGERROR | (24) GPGME related error
LRE_BADGPG | (25) Bad GPG signature
LRE_INCOMPLETEREPO | (26) Repository metadata are not complete
LRE_INTERRUPTED | (27) Download was interrupted by signal. Only if LRO_INTERRUPTIBLE option is enabled.
LRE_SIGACTION | (28) sigaction error
LRE_ALREADYDOWNLOADED | (29) File already exists and checksum is ok.
LRE_UNFINISHED | (30) The download wasn't or cannot be finished.
LRE_SELECT | (31) select() call failed.
LRE_OPENSSL | (32) OpenSSL library related error.
LRE_MEMORY | (33) Cannot allocate more memory
LRE_XMLPARSER | (34) XML parser error
LRE_CBINTERRUPTED | (35) Interrupted by user cb
LRE_REPOMD | (36) Error with repomd (bad content, missing expected values, ...)
LRE_VALUE | (37) Bad value (e.g. we are expecting bandwidth defined like '1024', '1k', etc., but we got something like 'asdf', '1024S', etc.)
LRE_NOTSET | (38) Requested option/value is not set. Used for example in lr_yum_repoconf_getinfo()
LRE_FILE | (39) File operation error (operation not permitted, filename too long, no memory available, bad file descriptor, ...)
LRE_KEYFILE | (40) Key file error (unknown encoding, ill-formed, file not found, key/group not found, ...)
LRE_ZCK | (41) Zchunk error (error reading zchunk file, ...)
LRE_UNKNOWNERROR | (xx) unknown error - sentinel of error codes enum

Definition at line 35 of file rcodes.h.

## Function Documentation

## lr_strerror()

const char * lr_strerror | ( | int | rc | ) |

Converts LrRc return code to error string.

Parameters

  rc | LrRc code

Returns
  Error string